summaryrefslogtreecommitdiffstats
path: root/hgcompile
diff options
context:
space:
mode:
authorTakashi Iwai <tiwai@suse.de>2006-05-12 15:35:23 +0200
committerTakashi Iwai <tiwai@suse.de>2006-05-12 15:35:23 +0200
commit23969a4622daeed3682b402cf69613ef813414e5 (patch)
tree2013d2ff2fc4fc90244841fedc86c7e47110b014 /hgcompile
parent48e2f783f4f72c7021e858054838ff47d89951f4 (diff)
Add hgcompile script
Added hgcompile script.
Diffstat (limited to 'hgcompile')
-rwxr-xr-xhgcompile17
1 files changed, 17 insertions, 0 deletions
diff --git a/hgcompile b/hgcompile
new file mode 100755
index 0000000..484a400
--- /dev/null
+++ b/hgcompile
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+touch ltconfig
+libtoolize --force --copy --automake
+aclocal $ACLOCAL_FLAGS
+autoheader
+automake --foreign --copy --add-missing
+touch depcomp # seems to be missing for old automake
+autoconf
+export CFLAGS='-O2 -Wall -W -pipe -g'
+echo "CFLAGS=$CFLAGS"
+echo "./configure $@"
+./configure $@ || exit 1
+unset CFLAGS
+if [ -z "$HGCOMPILE_NO_MAKE" ]; then
+ make
+fi